package ub.pfg.preyrobot.comunications;

public class RobotUtils {
	
	// CONSTANTS FOR MESSAGE EXCHANGE
	public final byte RESPONSE = 0x00;
	public final byte NO_RESPONSE = (byte)0x80;
	public final byte READ = (byte)0x13;
	public final byte INBOX = 0x05;
	public final byte OUTBOX = 0x0B;
	public final byte ERASE = 0x01;
	public final byte END = 0x00;
	
	public final int MESSAGE = 6;
	
	// DIRECT COMMANDS
	public byte[] read_mailbox = new byte[] { 	(byte)0x06, (byte)0x00, // Bytes length (both not included)
												RESPONSE,				// Response expected
												READ, 					// Read command 
												OUTBOX,					// 11: Mailbox+10 (F)
												INBOX,					// Local inbox (1)
												ERASE,					// Borrar el mensaje (01)
												END						// End of package
											};
	
	// 
	public final String 	ROTATE_LEFT = "rotleft",
							ROTATE_RIGHT = "rotright",
							FWD = "fwd",
							INIT = "init";
	
	public final String BUSY_MSG = "busy";
	public final String DONE_MSG = "done";

}
